Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.bitmap
Interface BitmapRendererEventProducer

All Superinterfaces:
  EventProducer

    public interface BitmapRendererEventProducer

extends EventProducer

Event producer interface for events generated by the bitmap renderers.

Nested Class Summary
`static class` | `BitmapRendererEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `noImageWriterFound(java.lang.Object source, java.lang.String mime)` No ImageWriter found.
`void` | `stoppingAfterFirstPageNoFilename(java.lang.Object source)` No filename information available.
`void` | `stoppingAfterFirstPageNoMultiWriter(java.lang.Object source)` Image writer does not support multiple images.

Method Detail

### stoppingAfterFirstPageNoFilename

    void stoppingAfterFirstPageNoFilename(java.lang.Object source)

  No filename information available. Stopping early after the first page.

  Parameters:
    `source` - the event source
  Event severity level:
    WARN

### stoppingAfterFirstPageNoMultiWriter

    void stoppingAfterFirstPageNoMultiWriter(java.lang.Object source)

  Image writer does not support multiple images. Only the first page has been produced.

  Parameters:
    `source` - the event source
  Event severity level:
    WARN

### noImageWriterFound

    void noImageWriterFound(java.lang.Object source,
                            java.lang.String mime)
                            throws java.io.IOException

  No ImageWriter found.

  Parameters:
    `source` - the event source
    `mime` - the target MIME type
  Throws:
    `java.io.IOException` - the I/O error provoked by the method call
  Event severity level:
    FATAL

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.